Package org.drinkless.tdlib

# Class TdApi.FileDownload

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FileDownload

Enclosing class:
  TdApi

public static class TdApi.FileDownload extends TdApi.Object
Describes a file added to file download list.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `addDate`
  Point in time (Unix timestamp) when the file was added to the download list.
  `int`
  `completeDate`
  Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fileId`
  File identifier.
  `boolean`
  `isPaused`
  True, if downloading of the file is paused.
  `TdApi.Message`
  `message`
  The message with the file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileDownload()`
  Describes a file added to file download list.
  `FileDownload(int fileId, TdApi.Message message, int addDate, int completeDate, boolean isPaused)`
  Describes a file added to file download list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileId

    public int fileId
    File identifier.

  - ### message

    public TdApi.Message message
    The message with the file.

  - ### addDate

    public int addDate
    Point in time (Unix timestamp) when the file was added to the download list.

  - ### completeDate

    public int completeDate
    Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.

  - ### isPaused

    public boolean isPaused
    True, if downloading of the file is paused.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FileDownload

    public FileDownload()
    Describes a file added to file download list.

  - ### FileDownload

    public FileDownload(int fileId, TdApi.Message message, int addDate, int completeDate, boolean isPaused)
    Describes a file added to file download list.
    Parameters:
      `fileId` - File identifier.
      `message` - The message with the file.
      `addDate` - Point in time (Unix timestamp) when the file was added to the download list.
      `completeDate` - Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
      `isPaused` - True, if downloading of the file is paused.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR